## gdb 15.1

=== debian/changelog ===
gdb (15.1-1ubuntu1~24.04) noble-proposed; urgency=medium

  * SRU: LP: #2073363: Backport the 15.1 release to 24.04 LTS.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Aug 2024 09:43:02 +0200

gdb (15.1-1ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining Ubuntu changes:
    - build from upstream tarball
    - debian/control:
      - removed gdb-minimal package
      - added gdb-doc package
      - added (build-)dependency libc6-dbg on armhf
      - exclude libsource-highlight-dev on i386
    - debian/control.in:
      - added (build-)dependency libc6-dbg on armhf
      - exclude libsource-highlight-dev on i386
    - debian/patches/series:
      - apply patches gdb-strings and ptrace-error-verbosity
    - debian/gdb.install & debian/gdbserver.install:
      - include manpages in binary packages
    - debian/rules:
      - skip tests on armhf, hanging on the buildds
      - configure with --disable-werror
      - disable configure with --disable-sim
      - clean gdb/doc/GDBvn.texi before build
      - show test summary after test run
      - disable man-page installation (moved to *.install files)
  * Add loongarch64-linux-gnu as a target for gdb-multiarch.
  * Explicitly build with hardening=-all,+format.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Aug 2024 08:21:32 +0200

gdb (15.1-1) unstable; urgency=medium

  [ Guillem Jover ]
  * Remove references to obsolete m32r arch. (Closes: #1056763)

  [ Joel Stanley ]
  * Add or1k-linux-gnu as a target for gdb-multiarch

  [ Héctor Orón Martínez ]
  * New upstream version 15.1
  * debian/patches: refresh
  * debian/control*: stop gdb-minimal from providing gdb (Closes: #1057780)
  * debian/control{,.in}: make gdb-source Multi-Arch foreign (Closes: #1043445)
  * debian/rules: avoid build failure due to with-mpfr requiring a path
  * debian/patches/gfdl-dont-build-manpages.patch: avoid building manpages

  [Ricardo Ribalda]
  * debian/patches/{fix-blhc-libiberty.patch, fix-blhc-chew.patch}:
    - Fix blhc test for chew and libiberty, false positives
  * debian/rules: Fix reprotest and export build variables

  [ Aurelien Jarno ]
  * Drop kfreebsd-* specific build-depends, the ports have been removed

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 01 Aug 2024 07:27:27 +0200

gdb (15.1-0ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jul 2024 12:36:00 +0200
