## gdb 15.2

=== debian/changelog ===
gdb (15.2-1) unstable; urgency=medium

  * d/p/gdb-glibc-vdso-workaround.patch: Remove unnecessary patch.
  * Remove obsolete patches.
    - d/p/gdb-6.5-bz185337-resolve-tls-without-debuginfo-v2.patch: Not
      needed anymore; Fedora GDB also removed it recently.
    - d/p/gdb_configure.nat.patch: Not applicable anymore.
    - d/p/fork-inferior-fix: Likewise.
    - d/p/fix-build.patch: Likewise.
  * d/control{,.in}: B-D on pkgconf instead of pkg-config.
  * d/rules: Include pkg-info.mk; don't use dpkg-parsechangelog.
  * d/rules: Use DEB_VENDOR instead of lsb_release.
  * d/control{,.in}: Don't B-D on lsb-release as it's not needed anymore.
  * d/rules: Export DEB_BUILD_MAINT_OPTIONS to enable hardening.
  * d/rules: Drop --dbgsym-migration option from dh_strip.
  * New upstream version 15.2

 -- Sergio Durigan Junior <sergiodj@debian.org>  Mon, 11 Nov 2024 18:19:38 -0500
