=== debian/rules ===
--- 
+++ 
@@ -4,23 +4,21 @@
 COMMA := ,
 
 include /usr/share/dpkg/architecture.mk
-
-SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog -SDate | date -f- +%s)
-deb_version := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
-
-export DEB_BUILD_MAINT_OPTIONS = hardening=-all,+format
+include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/vendor.mk
 
 # The top-level configure script fails to pass these down properly ...
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 export CPPFLAGS
 export LDFLAGS
 CPPFLAGS += -fPIC
 
-# Ensure texlive respects SOURCE_DATE_EPOCH
+# Ensure texlive respects DEB_TIMESTAMP
 export FORCE_SOURCE_DATE=1
 # Also force "TeX output" string in dvi file, thus %DVIPSSource in the ps file
-FAKETIME = TZ=UTC faketime "$(shell TZ=UTC date +"%Y-%m-%d %T" --date=@$(SOURCE_DATE_EPOCH))"
+FAKETIME = TZ=UTC faketime "$(shell TZ=UTC date +"%Y-%m-%d %T" --date=@$(DEB_TIMESTAMP))"
 
 install = /usr/bin/install -p
 
@@ -31,7 +29,6 @@
 INSTALL = $(install)
 export INSTALL
 
-distribution := $(shell lsb_release -is)
 derivative   := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; \
 			elif dpkg-vendor --derives-from Debian; then echo Debian; \
 			else echo Unknown; fi)
@@ -122,16 +119,9 @@
   run_tests := only enabled for linux targets
 endif
 
-# FIXME: hanging on the Ubuntu buildds?
-#ifneq (,$(filter armhf, $(DEB_HOST_ARCH)))
-#  run_tests := not enabled for $(DEB_HOST_ARCH)
-#endif
-
 ifdef GDB_TARGET
   run_tests := disabled for cross builds
 endif
-
-#run_tests := disabled for this upload
 
 # ---------- configure options, for all variants ----------
 
@@ -147,13 +137,12 @@
 	--host=$(DEB_HOST_GNU_TYPE) \
 	--prefix=/usr \
 	--libexecdir="\$${prefix}/lib/gdb" \
-	--disable-werror \
 	--disable-maintainer-mode \
 	--disable-dependency-tracking \
 	--disable-silent-rules \
 	--disable-gdbtk \
 	--disable-shared \
-	--with-pkgversion='$(distribution)___$(deb_version)' \
+	--with-pkgversion='$(DEB_VENDOR)___$(DEB_VERSION)' \
 	--srcdir=$(CURDIR) \
 	--disable-readline \
 	--with-system-readline \
@@ -161,10 +150,9 @@
 	--with-system-zlib \
 	--without-guile \
 	--without-babeltrace \
+	$(if $(filter $(DEB_HOST_ARCH), armhf arm64 mips mipsel ppc64el riscv64),--disable-sim) \
 	$(if $(filter linux, $(DEB_HOST_ARCH_OS)),--with-debuginfod) \
 	$(arch_config_args) \
-
-#	$(if $(filter $(DEB_HOST_ARCH), armhf arm64 mips mipsel ppc64el riscv64),--disable-sim) \
 
 default_configure_args = \
 	$(common_configure_args) \
@@ -187,7 +175,6 @@
 	hppa-linux-gnu \
 	i686-linux-gnu \
 	ia64-linux-gnu \
-	loongarch64-linux-gnu \
 	m68k-linux-gnu \
 	m68k-rtems \
 	mips-linux-gnu \
@@ -240,7 +227,6 @@
 
 stamps/configure-%:
 	@mkdir -p stamps
-	rm -f gdb/doc/GDBvn.texi
 	rm -rf $(builddir_$*)
 	mkdir -p $(builddir_$*)
 	@echo "gdb-$*: configured with: $(subst ___, ,$(foreach i,$($*_configure_args),$(i)\n\t))"
@@ -262,9 +248,6 @@
 ifeq ($(run_tests),yes)
 	$(MAKE) $(NJOBS) -C $(builddir_default)/gdb check \
 	  || echo "*** Tests failed, of course. ***"
-	@echo "===== TEST SUMMARY BEGIN ====="
-	-cat $(builddir_default)/gdb/testsuite/gdb.sum
-	@echo "===== TEST SUMMARY END ====="
 else
 	@echo "***Tests disabled: $(run_tests) ***"
 endif
@@ -288,3 +271,22 @@
 #	# which include .gmo files.
 #	find -type f -name '*.gmo' | xargs rm -f
 
+	# Prevent gratuitous rebuilds of the BFD documentation, since it
+	# updates the copy in the source directory.
+	find bfd -name bfd.info\* | xargs --no-run-if-empty touch
+
+install-pre:
+	dh_prep
+
+install: install-pre
+	: # gdb install
+	$(MAKE) -C $(builddir_default) install DESTDIR=$(CURDIR)/debian/tmp
+	rm -rf debian/gdb-doc/usr/share/man
+
+	dh_install
+
+	install -d debian/gdb$(TS)/usr/share/man/man1; \
+	install -m 644 debian/gcore.1 debian/gdb$(TS)/usr/share/man/man1/.
+
+	if [ -x debian/tmp/usr/bin/run ]; then \
+		mv debian/tmp/usr/bin/run \
