## gdb 16.0.90.20241230

=== debian/changelog ===
gdb (16.0.90.20241230-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:02:56 +0100

gdb (16.0.90.20241230-0ubuntu1) plucky; urgency=medium

  * Snapshot, taken from the gdb-16 branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Dec 2024 13:19:59 +0100

gdb (15.2-1ubuntu2) plucky; urgency=medium

  * Test build.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 15 Dec 2024 11:16:47 +0100

gdb (15.2-1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - build from upstream tarball
    - debian/control:
      - removed gdb-minimal package
      - added gdb-doc package
      - added (build-)dependency libc6-dbg on armhf
      - exclude libsource-highlight-dev on i386
    - debian/control.in:
      - added (build-)dependency libc6-dbg on armhf
      - exclude libsource-highlight-dev on i386
    - debian/patches/series:
      - apply patches gdb-strings and ptrace-error-verbosity
    - debian/gdb.install & debian/gdbserver.install:
      - include manpages in binary packages
    - debian/rules:
      - skip tests on armhf, hanging on the buildds
      - configure with --disable-werror
      - disable configure with --disable-sim
      - clean gdb/doc/GDBvn.texi before build
      - show test summary after test run
      - disable man-page installation (moved to *.install files)
    - Add loongarch64-linux-gnu as a target for gdb-multiarch.
    - Explicitly build with hardening=-all,+format.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Nov 2024 12:22:30 +0100

gdb (15.1-1ubuntu2) oracular; urgency=medium

  * Update from the gdb-15 branch 20240912:
    - Fix loading a saved recording.
    - gdb/solib-frv: Move lm_info object to solib.
    - Mark unavailable bytes of limited-length arrays when allocating
      contents.
    - [gdb] Handle ^C during disassembly.
    - Recognize -2 as a tombstone value in .debug_line.
    - Clear the X86_XSTATE_MPX bit in XCRO for x32.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Sep 2024 08:38:53 +0200
