## gdb 16.1

=== debian/changelog ===
gdb (16.1-1) unstable; urgency=medium

  * d/gbp.conf: Fix debian-branch.
  * d/control.in: Update.
  * d/gdb.install: Install new "gstack" program.
  * d/NEWS: Add entry about gdb-{minimal,multiarch} drop.
  * d/gdb-multiarch.postinst: Remove unnecessary file.
  * d/rules: Disable test run on x32 and hppa due to flakiness.
  * d/sanitize-gdb.sh: Adapt it to work with uscan.
  * d/watch: Invoke sanitize-gdb.sh to repack.
  * New upstream version 16.1
  * d/gdb.lintian-overrides: Add no-manual-page override for gstack.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 19 Jan 2025 02:03:37 -0500

gdb (16.0.90.20250111-1~exp2) experimental; urgency=medium

  * d/{upstream-signing-key.pgp,s/included-binaries}: Remove.
    We already have the correct signing key located under
    debian/upstream/.
  * d/{gdb.,gdbserver.,source/}lintian-overrides: Improve overrides.
  * d/rules: Improve testsuite execution.
    GDB historically has suffered from flaky testcases.  Let's try to
    workaround this limitation by testing only a subset of known stable
    tests.
    This change also improves the coverage by running tests against native
    GDB, native-gdbserver, and native-extended-gdbserver.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 12 Jan 2025 23:17:56 -0500

gdb (16.0.90.20250111-1~exp1) experimental; urgency=medium

  * d/watch: Modernize.
  * New upstream version 16.0.90.20250111
  * d/sanitize-gdb.sh: Modernize.
    It's unclear whether we still need this script or not.
  * New upstream version 16.0.90.20250111
  * d/rules: Default to --enable-targets=all.
  * d/p/solve_PATH_MAX_issue.patch: Remove.
    nto-tdep.* has been removed upstream.
  * d/p/gfdl-dont-build-manpages.patch: Refresh.
  * d/p/fix-blhc-chew.patch: Refresh.
  * d/p/fix-build.patch: Remove unused patch.
  * d/p/gdb-fortran-main.patch: Remove patch; too old and hard to maintain.
    This patch has been added at least 19 years ago.  GDB has changed *a
    lot* since then, and I'm not convinced this is still necessary.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 11 Jan 2025 19:40:14 -0500

gdb (15.2-2~exp1) experimental; urgency=medium

  * d/rules: Simplify "install" definition.
  * d/control{,.minimal}: Get rid of gdb-minimal and gdb-multiarch.
    These packages will now be provided by gdb itself; there's no reason
    to keep them separated.
  * d/rules: Drop support for minimal and multiarch package variants.
  * d/gdb.links: Symlink gdb-multiarch -> gdb for backward-compatibility.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 09 Jan 2025 20:12:05 -0500
