=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gdb
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
+Maintainer: Héctor Orón Martínez <zumbi@debian.org>
 Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
 Section: devel
 Priority: optional
@@ -32,7 +31,7 @@
                libzstd-dev,
                libbabeltrace-dev,
                libipt-dev [amd64 i386 x32],
-               libsource-highlight-dev [!i386],
+               libsource-highlight-dev,
 	       libxxhash-dev,
 	       libmpfr-dev,
                pkgconf,
@@ -41,7 +40,6 @@
                libunwind-dev [ia64],
 # debuginfod
                libdebuginfod-dev [linux-any],
-               libc6-dbg [armhf],
 # Reproducible build
                faketime,
 Vcs-Git: https://salsa.debian.org/gdb-team/gdb.git
@@ -52,36 +50,22 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libc6-dbg [armhf],
          ${python3:Depends}
 Recommends: libc-dbg
 Suggests: gdb-doc,
           gdbserver [linux-any]
-Conflicts: gdb-minimal
-Replaces: gdb-minimal
-Provides: gdb-minimal
+Breaks: gdb-minimal (<< 15.2-2~exp1),
+        gdb-multiarch (<< 15.2-2~exp1),
+Replaces: gdb-minimal (<< 15.2-2~exp1),
+          gdb-multiarch (<< 15.2-2~exp1),
+Provides: gdb-minimal,
+          gdb-multiarch,
 Description: GNU Debugger
  GDB is a source-level debugger, capable of breaking programs at
  any specific line, displaying variable values, and determining
  where errors occurred. Currently, gdb supports C, C++, D,
  Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
  Go, and Ada. A must-have for any serious programmer.
-
-Package: gdb-multiarch
-Architecture: any
-Depends: gdb (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Conflicts: gdb-arm-none-eabi
-Breaks: gdb-arm-none-eabi
-Provides: gdb-arm-none-eabi
-Description: GNU Debugger (with support for multiple architectures)
- GDB is a source-level debugger, capable of breaking programs at
- any specific line, displaying variable values, and determining
- where errors occurred. Currently, gdb supports C, C++, D,
- Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
- Go, and Ada. A must-have for any serious programmer.
- .
- This package contains a version of GDB which supports multiple
- target architectures.
 
 Package: gdbserver
 Architecture: amd64 armel armhf arm64 i386 ia64 m68k mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390 s390x x32
@@ -110,18 +94,3 @@
  .
  This package contains the sources and patches which are needed
  to build GDB.
-
-Package: gdb-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Breaks: gdb (<< 7.8), gdbserver (<< 7.8)
-Replaces: gdb (<< 7.8), gdbserver (<< 7.8)
-Description: The GNU Debugger Documentation
- GDB is a source-level debugger, capable of breaking programs at
- any specific line, displaying variable values, and determining
- where errors occurred. Currently, it works for C, C++, Fortran,
- Modula 2 and Java programs. A must-have for any serious
- programmer.
- .
- This package contains the GDB manual.
