=== debian/rules ===
--- 
+++ 
@@ -20,14 +20,11 @@
 # Also force "TeX output" string in dvi file, thus %DVIPSSource in the ps file
 FAKETIME = TZ=UTC faketime "$(shell TZ=UTC date +"%Y-%m-%d %T" --date=@$(DEB_TIMESTAMP))"
 
-install = /usr/bin/install -p
-
 # Rather paranoid than sorry. Make the shell exit with an error if an
 # untested command fails.
 SHELL += -e
 
-INSTALL = $(install)
-export INSTALL
+export INSTALL = /usr/bin/install -p
 
 derivative   := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; \
 			elif dpkg-vendor --derives-from Debian; then echo Debian; \
@@ -123,12 +120,13 @@
   run_tests := disabled for cross builds
 endif
 
+ifneq (,$(filter $(DEB_HOST_ARCH),x32 hppa))
+  run_tests := disable on $(DEB_HOST_ARCH) due to flakiness
+endif
+
 # ---------- configure options, for all variants ----------
 
-variants = default multiarch minimal
-ifeq ($(derivative),Ubuntu)
-  variants = default multiarch
-endif
+variants = default
 
 # We pass srcdir explicitly to avoid an extra '/.' at the end of it.  That
 # causes a harmless, but ugly, testsuite failure in maint.exp.
@@ -150,7 +148,6 @@
 	--with-system-zlib \
 	--without-guile \
 	--without-babeltrace \
-	$(if $(filter $(DEB_HOST_ARCH), armhf arm64 mips mipsel ppc64el riscv64),--disable-sim) \
 	$(if $(filter linux, $(DEB_HOST_ARCH_OS)),--with-debuginfod) \
 	$(arch_config_args) \
 
@@ -161,68 +158,14 @@
 	--with-lzma \
 	--with-python=python3 \
 	--with-xxhash \
-
-# multiarch targets; this is taken from the binutils-multiarch package but
-# doesn't seem like a terribly nice list; see
-# <20110117211551.GA7216@bee.dooz.org> for discussion -- locally updated
-MULTIARCH_TARGETS := \
-	aarch64-linux-gnu \
-	alpha-linux-gnu \
-	arm-linux-gnu \
-	arm-linux-gnueabi \
-	arm-linux-gnueabihf \
-	arm-none-eabi \
-	hppa-linux-gnu \
-	i686-linux-gnu \
-	ia64-linux-gnu \
-	m68k-linux-gnu \
-	m68k-rtems \
-	mips-linux-gnu \
-	mipsel-linux-gnu \
-	mips64-linux-gnu \
-	mips64el-linux-gnu \
-	or1k-linux-gnu \
-	powerpc-linux-gnu \
-	powerpc-linux-gnuspe \
-	powerpc64le-linux-gnu \
-	powerpc64-linux-gnu \
-	ppc64-linux-gnu \
-	riscv32-linux-gnu \
-	riscv64-linux-gnu \
-	s390-linux-gnu \
-	s390x-linux-gnu \
-	sh-linux-gnu \
-	sparc-linux-gnu \
-	sparc64-linux-gnu \
-	x86_64-linux-gnu \
-	x86_64-linux-gnux32 \
-	# EOL
-
-# broken, see https://launchpad.net/bugs/1233185
-#MULTIARCH_TARGETS := all
-#	--enable-targets=$(MULTIARCH_TARGETS) \
-# multiarch flags
-
-multiarch_configure_args = \
-	$(default_configure_args) \
 	--enable-64-bit-bfd \
-	--enable-targets=$(subst $(SPACE),$(COMMA),$(MULTIARCH_TARGETS)) \
-	--disable-sim \
-	--enable-obsolete
-
-# Minimal flags
-minimal_configure_args = \
-	$(common_configure_args) \
-	--disable-tui \
-	--without-python \
-	--without-babeltrace \
-	--disable-source-highlight
+	--enable-targets=all \
+	--enable-obsolete \
+	--disable-sim
 
 # ---------- configure and build targets ----------
 
 builddir_default	= build/default
-builddir_minimal	= build/minimal
-builddir_multiarch	= build/multiarch
 builddir_source		= build/gdb
 
 stamps/configure-%:
@@ -244,10 +187,44 @@
 	    $(FAKETIME) $(MAKE) -C $(builddir_$*)/gdb/doc refcard.dvi refcard.ps))
 	touch $@
 
+# GDB's testsuite has historically been flaky and its results haven't
+# been very trustworthy.  Instead of running the entire testsuite (and
+# wasting a lot of time and CPU), pick only a subset of tests that are
+# known to be non-flaky.  If any of these fail, something is really
+# wrong.
+#
+# This list was inspired by
+# https://sourceware.org/git/?p=builder.git;a=blob;f=builder/master.cfg
+TESTS_NON_FLAKY = \
+	gdb.base/break-always.exp \
+	gdb.base/break-caller-line.exp \
+	gdb.base/break-entry.exp \
+	gdb.base/break.exp \
+	gdb.base/break-fun-addr.exp \
+	gdb.base/break-idempotent.exp \
+	gdb.base/break-include.exp \
+	gdb.base/break-inline.exp \
+	gdb.base/break-main-file-remove-fail.exp \
+	gdb.base/break-on-linker-gcd-function.exp \
+	gdb.base/breakpoint-in-ro-region.exp \
+	gdb.base/breakpoint-shadow.exp \
+	gdb.base/break-probes.exp \
+	gdb.gdb/unittest.exp \
+	gdb.server/unittest.exp
+
 stamps/check: stamps/build-default
 ifeq ($(run_tests),yes)
-	$(MAKE) $(NJOBS) -C $(builddir_default)/gdb check \
-	  || echo "*** Tests failed, of course. ***"
+#	Always run selftests.
+	$(MAKE) -C $(builddir_default)/gdb run \
+		GDBFLAGS='-batch -ex "maintenance selftest"'
+
+#	Run the non-flaky tests.
+#
+#	Don't parallelize because things can get racy, and we're not
+#	dealing with that many tests anyway.
+	$(MAKE) -C $(builddir_default)/gdb \
+		check//unix check//native-gdbserver check//native-extended-gdbserver \
+		TESTS="$(TESTS_NON_FLAKY)"
 else
 	@echo "***Tests disabled: $(run_tests) ***"
 endif
@@ -290,3 +267,7 @@
 
 	if [ -x debian/tmp/usr/bin/run ]; then \
 		mv debian/tmp/usr/bin/run \
+		  debian/gdb$(TS)/usr/bin/$(DEB_TARGET_ALIAS)-run; \
+	fi
+	if [ -r debian/tmp/usr/share/man/man1/run.1 ]; then \
+		mv debian/tmp/usr/share/man/man1/run.1 \
