=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
  https://ftp.gnu.org/gnu/gdb/gdb-@ANY_VERSION@@ARCHIVE_EXT@ \
  debian debian/sanitize-gdb.sh
