## gdb 16.2

=== debian/changelog ===
gdb (16.2-1) unstable; urgency=medium

  * New upstream version 16.2
  * d/control{,.in}: Bump Standards-Version to 4.7.0; no changes needed.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 06 Feb 2025 18:16:19 -0500

gdb (16.1-2) unstable; urgency=medium

  * d/copyright: Update.
  * d/s/lintian-overrides: Add override about AC_PATH_PROG.
  * d/rules: Disable tests on sparc64.
  * Manually install gcore script, as it isn't available on all arches.
    - d/gdb.install: Remove usr/bin/gcore.
    - d/rules: Only install gcore script on non-hurd-amd64 architectures.
  * d/rules: Disable selftest run.
    For non-development builds, "maintenance selftest" is disable.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 25 Jan 2025 20:10:26 -0500
