=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: binary-targets
 Build-Depends:
 # Packaging deps
