=== debian/rules ===
--- 
+++ 
@@ -120,7 +120,7 @@
   run_tests := disabled for cross builds
 endif
 
-ifneq (,$(filter $(DEB_HOST_ARCH),x32 hppa))
+ifneq (,$(filter $(DEB_HOST_ARCH),x32 hppa sparc64))
   run_tests := disable on $(DEB_HOST_ARCH) due to flakiness
 endif
 
@@ -214,10 +214,6 @@
 
 stamps/check: stamps/build-default
 ifeq ($(run_tests),yes)
-#	Always run selftests.
-	$(MAKE) -C $(builddir_default)/gdb run \
-		GDBFLAGS='-batch -ex "maintenance selftest"'
-
 #	Run the non-flaky tests.
 #
 #	Don't parallelize because things can get racy, and we're not
@@ -262,6 +258,10 @@
 
 	dh_install
 
+ifeq (,$(filter $(DEB_HOST_ARCH),hurd-amd64))
+	install -m 755 debian/tmp/usr/bin/gcore debian/gdb$(TS)/usr/bin/gcore
+endif
+
 	install -d debian/gdb$(TS)/usr/share/man/man1; \
 	install -m 644 debian/gcore.1 debian/gdb$(TS)/usr/share/man/man1/.
